# This work is licensed under the
# Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License .
# To view a copy of this license ,
# visit http://creativecommons.org/licenses/by-nc-sa/3.0/ .

class lpep {

	$module_path = get_module_path($name)
	$refresh_script_path = "${module_path}/bin/lpep.py"

	$refresh_status = generate($refresh_script_path)

	if $refresh_status == '0' {
		class { lpep::db: }
	}
	else {
		notify { 'refresh':
		message =>	"refresh has failed with exit code ${refresh_status}",
	}
	}

}

class lpep::db {

	import 'lpep.pp'

}
